{{
sof = ""
for i in range(10):
    if "SOF{:d}".format(i) in analysis.struct:
        sof = "SOF{:d}".format(i)
        break
}}
{{ if sof:}}
[color1]Image infos[/color1]
  Dimensions:   {{analysis.struct[sof]["Width"]}}x{{analysis.struct[sof]["Height"]}} pixels
  Colors:       {{write(analysis.struct[sof]["Components"] * 8)}} bits per pixel
{{:endif}}
